import java.util.Scanner;

/**
 * New class TextInput
 * This class checks for new command inputs and gets the text input.
 * Author: Michael Ziegler
 * Date: 12.11.2021
 */
public class TextInput {

    /**
     * DataField Scanner saves the object that is being used in this class.
     */
    private static final Scanner sc = new Scanner(System.in);

    /**
     * Method to check for new input.
     *
     * @return the StringArray with the commands.
     */
    public static String[] checkForInput() {
        return sc.nextLine().toUpperCase().split(" ");
    }

    /**
     * Gets the text that has been written.
     *
     * @return the next line.
     */
    public static String getTextInput() {
        return sc.nextLine();
    }
}
